var PLATFROM_CONFIG = {};
PLATFROM_CONFIG.baseNewUrl = "http://192.168.3.74:9006"; //登录前的http请求地址
PLATFROM_CONFIG.baseUrl = "http://192.168.3.74:18064"; // 4A-http请求地址
// PLATFROM_CONFIG.baseUrl = "http://10.211.66.25:8074"; // http请求地址
PLATFROM_CONFIG.appSecret = "9inu7zpllz1folzsljm498dcpi0lsog1"; //appSecret
PLATFROM_CONFIG.appId = "q7kdjmmaf0kerwpf"; //appid
// PLATFROM_CONFIG.baseURLCA = "http://106.14.243.117:9114";
// PLATFROM_CONFIG.baseURLCA = "http://106.14.243.117:8093";
// PLATFROM_CONFIG.baseURLCA = "http://cssc.free.idcfengye.com";
// PLATFROM_CONFIG.baseURLCA = "http://192.168.3.17:8080";
// PLATFROM_CONFIG.baseURLCA = "http://192.168.3.243:8093";
// PLATFROM_CONFIG.baseURLCA = "http://ts.free.idcfengye.com";
PLATFROM_CONFIG.baseURLCA = "http://192.168.3.74:18064"; // 登录后的http请求地址

const DATACONTENT_ID = {
  /***-----登录------***/
  loginId: 36, //登录-获取权限-id

  /***-----高级查询------***/
  baggageTypeId: 86, //高级查询-特殊行李类型下拉选项查询-id
  advacedQueryId: 30, //高级查询-数据查询-id

  /***-----账号管理------***/
  accountTableId: 78, //账号管理-首页-列表
  accountRoleId: 43, //账号管理-根据id查角色
  accountDetailsId: 45, //账号管理-根据id查详情

  /***-----角色管理------***/
  roleTableId: 59, //角色管理-首页-列表
  roleDetailsId: 62, //角色管理-根据id查详情
  roleAuthId: 42, //角色管理-根据id查权限

  /***-----权限管理------***/
  authTreeId: 40, //权限管理-权限树

  /***-----系统设置------***/
  sysSourceId: 13, //系统设置-数据源-id
  sysProtoTabId: 1, //系统设置-协议管理-表格-id
  sysServiceTabId: 2, //系统设置-服务管理-表格-id
  sysServiceOutTabId: 7, //系统设置-服务管理-编辑-输出-表格-id
  sysServiceJqTabId: 3, //系统设置-服务管理-编辑-部署机器-表格-id
  sysQueryTabId: 4, //系统设置-查询模板-表格-id
  sysQueryEditId: 24, //系统设置-查询模板-编辑-根据id获取服务
  sysQueryChildTabId: 25, //系统设置-查询模板-列设置-表格-id
  sysQueryChildEditTabId: 26, //系统设置-查询模板-列设置-表格-编辑-id
  sysDataTabId: 5, //系统设置-数据结构-表格-id
  sysDataChildTabId: 9, //系统设置-数据结构-数据项-表格-id
  sysLogTabId: 12, //系统设置-数据结构-数据项-表格-id
  sysDataEditId: 57, //系统设置-数据结构-数据项-表格-编辑-id
  sysServiceXyId: 15, //系统设置-服务管理-新增服务-新增数据来源-id
  sysServiceEditId: 23, //系统设置-服务管理-编辑服务-根据id获取服务
  sysServiceTopId: 32, //系统设置-服务管理-服务拓扑-根据id获取拓扑图
  sysServiceTopTableId: 31, //系统设置-服务管理-服务拓扑-查看日志id

  /***-----进港管理------***/
  arrivalAirId: 67, //进港管理-机场选择-id
  arrivalTableId: 38, //进港管理-表格-id

  /***-----离港管理------***/
  departureAirMainId: 65, //离港管理-机场选择-id
  departureTableMainId: 66, //离港管理-表格-id

  /***-----离港管理===>中转进港------***/
  departureAirId: 72, //离港管理-机场选择-id
  departureAviJoinId: 71, //离港管理-进港承运航司-id
  departureAviLeaveId: 74, //离港管理-离港承运航司-id
  departureTableId: 69, //离港管理-表格-id

  /***-----离港管理===>中转离港------***/
  departureAirLtId: 72, //离港管理-机场选择-id
  departureAviJoinLtId: 71, //离港管理-进港承运航司-id
  departureAviLeaveLtId: 74, //离港管理-离港承运航司-id
  departureTableLtId: 68, //离港管理-表格-id

  /***-----基础数据------***/
  deployNodeId: 54, //基础数据-节点信息维护-获取二级节点(表格)-id
  deployNodeteoId: 60, //基础数据-节点信息维护-二级页面-id
  deployNodeThreeId: 64, //基础数据-节点信息维护-获取三级节点-id
  airlineTableId: 80, //基础数据-航司信息维护-表格-id
  airportTableId: 79, //基础数据-机场信息维护-表格-id
  airportTreeId: 58, //基础数据-机场信息维护-公司列表-id
  bagTableId: 55, //基础数据-特殊行李维护-表格-id

  // 数据统计
  inOrOutId: 52,//获取进离岗下拉ID
  AirlineId: 53,//获取航线下拉ID
  AreaId: 70,//获取大区下拉ID
  AirportId: 77,//获取航站下拉ID
  TerminalId: 56,//获取航站楼下拉ID
  byAreaId: 50,//根据大区统计ID
  byOtherId: 63,//获取大区以外统计ID
  baggageStatistics: 73, // 获取行李统计
  nodeStatistics: 75 // 获取节点统计
};

const SERVICE_ID = {
  /***-----账号管理------***/
  accountScId: 17, //账号管理-增删改-id
  roleScId: 16, //账号管理-增删改-id

  /***-----角色管理------***/
  roleMsgId: 14, //角色管理-增删改-id
  roleMsgTreeId: 15, //角色管理-权限树-增删改-id
  roleMsgAuthId: 20, //角色管理-权限树规则-增删改-id

  /***-----权限项管理------***/
  authScId: 13, //权限项管理-增删改-id

  sysProtoTabId: 1, //系统设置-协议管理-表格-增删改-id
  sysServiceAddId: 3, //系统设置-服务管理-新增服务-提交-id/服务管理-编辑服务-保存-id
  sysServiceEditBoxId: 4, //系统设置-服务管理-编辑服务-部署机器-多选框-id
  sysQueryTabId: 5, //系统设置-查询模板-表格-增删改-id
  sysServiceAddXyId: 10, //系统设置-服务管理-新增服务-新增数据源-提交-id
  sysDataTabId: 9, //系统设置-数据结构-数据项-表格-增删改-id
};